ProtectingIntelligence/Models/AppDbContext.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;
using System.Linq;
using System.Web;

namespace ProtectingIntelligence.Models
{
    public class AppDbContext : DbContext
    {
        public AppDbContext()
            :base("AppDbContext")
        {

        }

        public DbSet<SensorReading> SensorReadings { get; set; }


        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }
    }
}

ProtectingIntelligence/Models/SensorReading.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ProtectingIntelligence.Models
{
    public class SensorReading
    {
        
        public int Id { get; set; }
        public int Pulse { get; set; }
        public string RoomName { get; set; }
    }
}

ProtectingIntelligence/Controllers/DashboardController.cs
using System.Web.Mvc;

namespace ProtectingIntelligence.Controllers
{
    public class DashboardController : Controller
    {

        public ActionResult Index()
        {
            return View();
        }

    }
}

ProtectingIntelligence/Controllers/DataController.cs
using ProtectingIntelligence.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Runtime.InteropServices;
using System.Web.Http;
using System.Web.Mvc;

namespace ProtectingIntelligence.Controllers
{

    public class DataController : Controller
    {
        private AppDbContext dbContext;

        public DataController()
        {
            dbContext = new AppDbContext();
        }
        

        [System.Web.Mvc.HttpPost]
        public ActionResult AddAlert([FromBody] string source)
        {
            // todo (fill in Alert Table)

            dbContext.SensorReadings.Add(new SensorReading()
            {
                Pulse = 198,
                RoomName = "xxx"
            });
            dbContext.SaveChanges();

            return Json("OK", JsonRequestBehavior.AllowGet);
        }

        public void UpdateGpsLoc(string source)
        {

        }

        [System.Web.Mvc.HttpGet]
        public ActionResult GetAll()
        {
            var readings = dbContext.SensorReadings.ToList();
            return Json(readings, JsonRequestBehavior.AllowGet);
        }
    }
}

ProtectingIntelligence/Controllers/RestController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Helpers;
using System.Web.Mvc;
using Microsoft.Ajax.Utilities;
using Microsoft.AspNet.SignalR;
using ProtectingIntelligence.Hubs;

namespace ProtectingIntelligence.Controllers
{
    public class RestController : Controller
    {

        [HttpPost]
        public ActionResult AddAlert(string source)
        {
            try
            {
                source = source.ToUpper();
                var message = string.Empty;
                var isDanger = true;

                switch (source)
                {
                    case "RED_BTN":
                        message = "Danger! Emergency button!";
                        break;
                    case "LOW_HR":
                        message = "Danger! Heart rate is low!";
                        break;
                    case "NO_MOTION":
                        message = "Warning! No motion alert!";
                        isDanger = false;
                        break;
                    default:
                        message = "Unknown source";
                        break;
                }

                var context = GlobalHost.ConnectionManager.GetHubContext<DashboardHub>();
                context.Clients.All.addAlert(message, isDanger);

                return Json("Ok", JsonRequestBehavior.AllowGet);
            }
            catch (Exception ex)
            {
                return Json("Error!", JsonRequestBehavior.AllowGet);
            }
        }

        [HttpPost]
        public ActionResult UpdatePulse(int value)
        {
            try
            {
                var context = GlobalHost.ConnectionManager.GetHubContext<DashboardHub>();

                if (value > 0 && value < 200)
                {
                    context.Clients.All.changePulse(value);
                }

                return Json("OK", JsonRequestBehavior.AllowGet);
            }
            catch (Exception e)
            {
                return Json("Error!", JsonRequestBehavior.AllowGet);
            }

        }

        [HttpPost]
        public ActionResult UpdateGpsLoc(float x, float y)
        {
            try
            {
                var context = GlobalHost.ConnectionManager.GetHubContext<DashboardHub>();

                context.Clients.All.updateGpsLoc(x, y);

                return Json("OK", JsonRequestBehavior.AllowGet);
            }
            catch (Exception ex)
            {
                return Json("Error!", JsonRequestBehavior.AllowGet);
            }

        }

        //odczyt z sensora ruchu od Artura
        [HttpPost]
        public ActionResult AddSensorRead(string roomName)
        {
            try
            {
                var context = GlobalHost.ConnectionManager.GetHubContext<DashboardHub>();

                context.Clients.All.addSensorRead(roomName);

                return Json("OK", JsonRequestBehavior.AllowGet);
            }
            catch (Exception ex)
            {
                return Json("Error!", JsonRequestBehavior.AllowGet);
            }
        }

    }
}

ProtectingIntelligence/Views/AppViews/Calendar.cshtml
@{
    ViewBag.Title = "Calendar";
}

<div class="normalheader ">
    <div class="hpanel">
        <div class="panel-body">
            <a class="small-header-action" href="">
                <div class="clip-header">
                    <i class="fa fa-arrow-up"></i>
                </div>
            </a>

            <div id="hbreadcrumb" class="pull-right m-t-lg">
                <ol class="hbreadcrumb breadcrumb">
                    <li><a href="@Url.Action("Index", "Dashboard")">Dashboard</a></li>
                    <li>
                        <span>App views</span>
                    </li>
                    <li class="active">
                        <span>Calendar</span>
                    </li>
                </ol>
            </div>
            <h2 class="font-light m-b-xs">
                Calendar
            </h2>
            <small>Full-sized, drag & drop event calendar.</small>
        </div>
    </div>
</div>

<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="row">
                <div class="col-md-6">
                    <div class="hpanel">
                        <div class="panel-body">
                            <div id="external-events">
                                <h2>FullCalendar</h2>
                                is a jQuery plugin that provides a full-sized, drag & drop calendar like the one below. It uses AJAX to fetch events on-the-fly for each month and is easily configured to use your own feed format (an extension is provided for Google Calendar).
                                <p>
                                    <a href="http://arshaw.com/fullcalendar/" target="_blank">FullCalendar documentation</a>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="hpanel">
                        <div class="panel-body">
                            <div id="external-events">
                                <strong>Click, Drop or Resize event on calendar!</strong>

                                    Message from functions:
                                    <br />

                                    <div id='external-events'>
                                <p>Drag a event and drop into callendar.</p>
                                <div class='external-event h-bg-green text-white'>Go to shop and buy some products.</div>
                                <div class='external-event h-bg-green text-white'>Check the new CI from Corporation.</div>
                                <p class="m-t">
                                    <input type='checkbox' id='drop-remove' class="i-checks" checked /> <label for='drop-remove'>remove after drop</label>
                                </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <div class="col-lg-12">
        <div class="hpanel">
            <div class="panel-heading">
                <div class="panel-tools">
                    <a class="showhide"><i class="fa fa-chevron-up"></i></a>
                    <a class="closebox"><i class="fa fa-times"></i></a>
                </div>
                Calendar
            </div>
            <div class="panel-body">
                <div id="calendar"></div>
            </div>
        </div>
    </div>
</div>
    </div>

@section Styles {
    @Styles.Render("~/bundles/fullCalendar/css")
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryui/js")
    @Scripts.Render("~/bundles/moment/js")
    @Scripts.Render("~/bundles/fullCalendar/js")

    <script type="text/javascript">

        $(function () {


            /* initialize the external events
             -----------------------------------------------------------------*/

            $('#external-events div.external-event').each(function () {

                // store data so the calendar knows to render an event upon drop
                $(this).data('event', {
                    title: $.trim($(this).text()), // use the element's text as the event title
                    stick: true // maintain when user navigates (see docs on the renderEvent method)
                });

                // make the event draggable using jQuery UI
                $(this).draggable({
                    zIndex: 1111999,
                    revert: true,      // will cause the event to go back to its
                    revertDuration: 0  //  original position after the drag
                });

            });


            /* initialize the calendar
             -----------------------------------------------------------------*/
            var date = new Date();
            var d = date.getDate();
            var m = date.getMonth();
            var y = date.getFullYear();

            $('#calendar').fullCalendar({
                header: {
                    left: 'prev,next today',
                    center: 'title',
                    right: 'month,agendaWeek,agendaDay'
                },
                editable: true,
                droppable: true, // this allows things to be dropped onto the calendar
                drop: function () {
                    // is the "remove after drop" checkbox checked?
                    if ($('#drop-remove').is(':checked')) {
                        // if so, remove the element from the "Draggable Events" list
                        $(this).remove();
                    }
                },
                events: [
                    {
                        title: 'All Day Event',
                        start: new Date(y, m, 1)
                    },
                    {
                        title: 'Long Event',
                        start: new Date(y, m, d - 5),
                        end: new Date(y, m, d - 2),
                    },
                    {
                        id: 999,
                        title: 'Repeating Event',
                        start: new Date(y, m, d - 3, 16, 0),
                        allDay: false,
                    },
                    {
                        title: 'Homer task',
                        start: new Date(y, m, d + 5, 19, 0),
                        end: new Date(y, m, d + 6, 22, 30),
                        allDay: false,
                        backgroundColor: "#62cb31",
                        borderColor: "#62cb31"
                    },
                    {
                        id: 999,
                        title: 'Repeating Event',
                        start: new Date(y, m, d + 4, 16, 0),
                        allDay: false
                    },
                    {
                        title: 'Meeting',
                        start: new Date(y, m, d, 10, 30),
                        allDay: false
                    },
                    {
                        title: 'Lunch',
                        start: new Date(y, m, d, 12, 0),
                        end: new Date(y, m, d, 14, 0),
                        allDay: false
                    },
                    {
                        title: 'Birthday Party',
                        start: new Date(y, m, d + 1, 19, 0),
                        end: new Date(y, m, d + 1, 22, 30),
                        allDay: false
                    },
                    {
                        title: 'Click for Google',
                        start: new Date(y, m, 28),
                        end: new Date(y, m, 29),
                        url: 'http://google.com/'
                    }
                ],
            });


        });

    </script>
}

ProtectingIntelligence/Views/AppViews/Contacts.cshtml
@{
    ViewBag.Title = "Contacts";
}

<div class="normalheader ">
    <div class="hpanel">
        <div class="panel-body">
            <a class="small-header-action" href="">
                <div class="clip-header">
                    <i class="fa fa-arrow-up"></i>
                </div>
            </a>

            <div id="hbreadcrumb" class="pull-right m-t-lg">
                <ol class="hbreadcrumb breadcrumb">
                    <li><a href="@Url.Action("Index", "Dashboard")">Dashboard</a></li>
                    <li>
                        <span>App views</span>
                    </li>
                    <li class="active">
                        <span>Contacts</span>
                    </li>
                </ol>
            </div>
            <h2 class="font-light m-b-xs">
                Contacts
            </h2>
            <small>Show users list in nice and color panels</small>
        </div>
    </div>
</div>

<div class="content">

    <div class="row">
        <div class="col-lg-3">
            <div class="hpanel hgreen contact-panel">
                <div class="panel-body">
                    <span class="label label-success pull-right">NEW</span>
                    <img alt="logo" class="img-circle m-b" src="~/Images/profile.jpg">
                    <h3><a href=""> Bradly Danforth </a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="hpanel hyellow contact-panel">
                <div class="panel-body">
                    <img alt="logo" class="img-circle m-b" src="~/Images/a4.jpg">
                    <h3><a href=""> Tangela Sternberg </a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="hpanel hviolet contact-panel">
                <div class="panel-body">
                    <img alt="logo" class="img-circle m-b" src="~/Images/a2.jpg">
                    <h3><a href=""> Claud Vogan </a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="hpanel hblue contact-panel">
                <div class="panel-body">
                    <img alt="logo" class="img-circle m-b" src="~/Images/a3.jpg">
                    <h3><a href=""> Valda Purdy </a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-3">
            <div class="hpanel hblue contact-panel">
                <div class="panel-body">
                    <img alt="logo" class="img-circle m-b" src="~/Images/a9.jpg">
                    <h3><a href="">Max Simson</a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="hpanel hgreen contact-panel">
                <div class="panel-body">
                    <img alt="logo" class="img-circle m-b" src="~/Images/a5.jpg">
                    <h3><a href="">Max Simson</a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="hpanel hyellow contact-panel">
                <div class="panel-body">
                    <span class="label label-warning pull-right">SPECIAL</span>
                    <img alt="logo" class="img-circle m-b" src="~/Images/a6.jpg">
                    <h3><a href="">Max Simson</a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="hpanel hred contact-panel">
                <div class="panel-body">
                    <img alt="logo" class="img-circle m-b" src="~/Images/a7.jpg">
                    <h3><a href="">Max Simson</a></h3>
                    <div class="text-muted font-bold m-b-xs">California, LA</div>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum tincidunt est vitae ultrices accumsan.
                    </p>
                </div>
                <div class="panel-footer contact-footer">
                    <div class="row">
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Projects: </span> <strong>200</strong></div> </div>
                        <div class="col-md-4 border-right"> <div class="contact-stat"><span>Messages: </span> <strong>300</strong></div> </div>
                        <div class="col-md-4"> <div class="contact-stat"><span>Views: </span> <strong>400</strong></div> </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

ProtectingIntelligence/Views/Charts/InlineGraphs.cshtml
@{
    ViewBag.Title = "InlineGraphs";
}

<div class="normalheader ">
    <div class="hpanel">
        <div class="panel-body">
            <a class="small-header-action" href="">
                <div class="clip-header">
                    <i class="fa fa-arrow-up"></i>
                </div>
            </a>

            <div id="hbreadcrumb" class="pull-right m-t-lg">
                <ol class="hbreadcrumb breadcrumb">
                    <li><a href="@Url.Action("Index", "Dashboard")">Dashboard</a></li>
                    <li>
                        <span>Charts</span>
                    </li>
                    <li class="active">
                        <span>Inline charts </span>
                    </li>
                </ol>
            </div>
            <h2 class="font-light m-b-xs">
                Inline charts
            </h2>
            <small>Small inline charts directly in the browser using data supplied in scripts.</small>
        </div>
    </div>
</div>

<div class="content">

    <div class="row">
        <div class="col-lg-12">
            <div class="hpanel">
                <div class="panel-heading">
                    <div class="panel-tools">
                        <a class="showhide"><i class="fa fa-chevron-up"></i></a>
                        <a class="closebox"><i class="fa fa-times"></i></a>
                    </div>
                    Sparkline charts
                </div>
                <div class="panel-body">

                    <p>
                        This jQuery plugin generates sparklines (small inline charts) directly in the browser using data supplied either inline in the HTML
                    </p>
                    <table class="table table-bordered white-bg">
                        <thead>
                            <tr>
                                <th>Graph</th>
                                <th>Type</th>
                            </tr>
                        </thead>

                        <tbody>
                            <tr>
                                <td>
                                    <span id="sparkline7"></span>
                                </td>
                                <td>
                                    Inline line chart
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span id="sparkline2"></span>
                                </td>
                                <td>
                                    Bar chart
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span id="sparkline3"></span>
                                </td>
                                <td>
                                    Pie chart
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span id="sparkline4"></span>
                                </td>
                                <td>
                                    Long inline chart
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span id="sparkline5"></span>
                                </td>
                                <td>
                                    Tristate chart
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span id="sparkline6"></span>
                                </td>
                                <td>
                                    Discrete chart
                                </td>
                            </tr>
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="hpanel">
                <div class="panel-heading">
                    <div class="panel-tools">
                        <a class="showhide"><i class="fa fa-chevron-up"></i></a>
                        <a class="closebox"><i class="fa fa-times"></i></a>
                    </div>
                    Peity charts
                </div>
                <div class="panel-body">

                    <p>
                        Peity is a simple jQuery plugin that converts an element's content into a simple svg mini pie donut line or bar chart and is compatible with any browser that supports svg: Chrome, Firefox, IE9+, Opera, Safari.
                    </p>
                    <table class="table table-bordered white-bg">
                        <thead>
                            <tr>
                                <th>Graph</th>
                                <th>Type</th>
                            </tr>
                        </thead>

                        <tbody>
                            <tr>
                                <td>
                                    <span class="pie">1/5</span>
                                </td>
                                <td>
                                    Pie chart
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span class="line">5,3,9,6,5,9,7,3,5,2</span>
                                </td>
                                <td>
                                    Line chart
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <span class="bar">5,3,9,6,5,9,7,3,5,2</span>
                                </td>
                                <td>
                                    Bar chart
                                </td>
                            </tr>

                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>

</div>

@section Scripts {
    <script type="text/javascript">

        $(function () {

            $("#sparkline7").sparkline([34, 43, 43, 35, 44, 32, 44, 52, 25], {
                type: 'line',
                lineColor: '#54ab2c',
                fillColor: '#62cb31',
            });
            $("#sparkline2").sparkline([5, 6, 7, 2, 0, -4, -2, 4], {
                type: 'bar',
                barColor: '#62cb31',
                negBarColor: '#c6c6c6'
            });

            $("#sparkline3").sparkline([1, 1, 2], {
                type: 'pie',
                sliceColors: ['#62cb31', '#b3b3b3', '#e4f0fb']
            });

            $("#sparkline4").sparkline([34, 43, 43, 35, 44, 32, 15, 22, 46, 33, 86, 54, 73, 53, 12, 53, 23, 65, 23, 63, 53, 42, 34, 56, 76, 15, 54, 23, 44], {
                type: 'line',
                lineColor: '#62cb31',
                fillColor: '#ffffff',
            });

            $("#sparkline5").sparkline([1, 1, 0, 1, -1, -1, 1, -1, 0, 0, 1, 1], {
                type: 'tristate',
                posBarColor: '#62cb31',
                negBarColor: '#bfbfbf'
            });


            $("#sparkline6").sparkline([4, 6, 7, 7, 4, 3, 2, 1, 4, 4, 5, 6, 3, 4, 5, 8, 7, 6, 9, 3, 2, 4, 1, 5, 6, 4, 3, 7, ], {
                type: 'discrete',
                lineColor: '#62cb31'
            });

        })
    </script>
}